Bug 511288 - Unable to browse files on Palm Centro
Unable to browse files on Palm Centro
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 11:34 EDT by Brad Smith
Modified: 2009-09-16 09:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-16 09:46:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 585691 None None None Never

  None (edit)
Description Brad Smith 2009-07-14 11:34:30 EDT
I am using a Thinkpad T60 laptop and Palm Centro phone. I can set up the laptop as a trusted device for the phone, and I can send files from the laptop to it. However, when I try to browse files on the phone, I see the following in /var/log/messages:

"""
Jul 14 11:30:36 satsuki bluetoothd[1883]: Discovery session 0x29eda98 with :1.154 activated
Jul 14 11:30:40 satsuki obex-data-server: sdp_extract_seqtype: Unexpected end of packet
Jul 14 11:30:40 satsuki obex-data-server: sdp_extract_seqtype: Unexpected end of packet
"""

and eventually the following dialog pops up:

"""
Could not display "obex://[00:1D:FE:09:A9:07]/".
Error: Service not supported by remote device
Please select another viewer and try again.
"""

I am assuming that the Centro should be capable of this, so perhaps it is a bug? If any RH folks near the Westford office want to play with the hardware in question that can be arranged.
Comment 1 Phil 2009-09-10 03:18:27 EDT
Same issue right down to the ability to upload files but not browse.  The stupid thing is it worked about 1 month ago but hasn't worked since...


Phone = LG KC910


Nautilus

The folder contents could not be displayed.
Couldn't parse the incoming data


/var/log/messages

Sep 10 16:36:36 pimp bluetoothd[2634]: Discovery session 0x2af4950 with :1.37 activated
Sep 10 16:36:48 pimp bluetoothd[2634]: Stopping discovery
Sep 10 16:36:50 pimp obex-data-server: sdp_extract_seqtype: Unexpected end of packet
Sep 10 16:36:50 pimp bluetoothd[2634]: link_key_request (sba=00:11:67:xx:xx:xx, dba=00:25:E5:xx:xx:xx)


[me@pimp:~]$ obexftp -b 00:25:E5:xx:xx:xx --list
Browsing 00:25:E5:xx:xx:xx ...                     
Connecting..\done                                  
Tried to connect for 31ms                          
Receiving "(null)"...|<?xml version="1.0"?>        
<!DOCTYPE folder-listing SYSTEM "obex-folder-listing.dtd">
<folder-listing version="1.0">                            
 <folder name="Video clips"/>                             
 <folder name="Images"/>                                  
 <folder name="Music"/>                                   
 <folder name="Pictures"/>                                
 <folder name="Videos"/>                                  
 <folder name="Sounds"/>                                  
 <folder name="Games & Applications"/>                    
 <folder name="Documents"/>                               
 <folder name="FlashContents"/>                           
 <folder name="Others"/>                           
</folder-listing>done                                     
Disconnecting../done
Comment 2 Phil 2009-09-10 03:26:54 EDT
in addition to this I do occasionally get a similar error - see below - where the device can not be connected to but sometimes gvfs mounts it which is where nautilus throws back the error documented above.  I sometimes have success with left clicking the BT icon in the tray and trying to manually connect my phone but i'm not sure this actually does anything...


Could not display "obex://[insert mac address here]/".
Error: Connection to the device lost
Please select another viewer and try again.


cheers
Comment 3 Bastien Nocera 2009-09-10 05:54:43 EDT
Jul 14 11:30:40 satsuki obex-data-server: sdp_extract_seqtype: Unexpected end
of packet
Jul 14 11:30:40 satsuki obex-data-server: sdp_extract_seqtype: Unexpected end
of packet

Those don't help. Does "sdptool browse XX:XX:XX:XX:XX:XX" work for this device?
Comment 4 Brad Smith 2009-09-10 09:57:44 EDT
I will admit to being a bit out of my depth here, so I don't know if this output is helpful or not. Here is the command you request, using the dba= address I see in the link_key_request messages that get logged when I set up my phone as a trusted device.

[brad@satsuki rh290-kit]$ sdptool browse 00:1D:FE:XX:XX:XX
Browsing 00:1D:FE:XX:XX:XX ...
Service Name: Voice Gateway
Service RecHandle: 0x10000
Service Class ID List:
  "Handsfree Audio Gateway" (0x111f)
  "Generic Audio" (0x1203)
Protocol Descriptor List:
  "L2CAP" (0x0100)
  "RFCOMM" (0x0003)
    Channel: 7
Language Base Attr List:
  code_ISO639: 0x656e
  encoding:    0x6a
  base_offset: 0x100
Profile Descriptor List:
  "Handsfree" (0x111e)
    Version: 0x0101

Service Name: Dial-up networking
Service RecHandle: 0x10002
Service Class ID List:
  "Dialup Networking" (0x1103)
Protocol Descriptor List:
  "L2CAP" (0x0100)
  "RFCOMM" (0x0003)
    Channel: 1
Language Base Attr List:
  code_ISO639: 0x656e
  encoding:    0x8cc
  base_offset: 0x100
Profile Descriptor List:
  "Dialup Networking" (0x1103)
    Version: 0x0100

Service Name: AUDIO Gateway
Service RecHandle: 0x10003
Service Class ID List:
  "Headset Audio Gateway" (0x1112)
  "Generic Audio" (0x1203)
Protocol Descriptor List:
  "L2CAP" (0x0100)
  "RFCOMM" (0x0003)
    Channel: 2
Language Base Attr List:
  code_ISO639: 0x656e
  encoding:    0x6a
  base_offset: 0x100
Profile Descriptor List:
  "Headset" (0x1108)
    Version: 0x0100

Service Name: OBEX Object Push
Service RecHandle: 0x10004
Service Class ID List:
  "OBEX Object Push" (0x1105)
Protocol Descriptor List:
  "L2CAP" (0x0100)
  "RFCOMM" (0x0003)
    Channel: 3
  "OBEX" (0x0008)
Language Base Attr List:
  code_ISO639: 0x656e
  encoding:    0x8cc
  base_offset: 0x100
Comment 5 Bastien Nocera 2009-09-10 10:52:36 EDT
Your Palm Centro doesn't support ObexFTP. Need better error handling still though...

Phil, file a separate bug.
Comment 6 Brad Smith 2009-09-10 11:09:14 EDT
Does that mean I can send files to it, but there's no way to get files from it? Should Fedora support receiving files from the phone? PalmOS has a "send via bluetooth" feature, but that doesn't seem to work either.
Comment 7 Bastien Nocera 2009-09-10 11:19:45 EDT
(In reply to comment #6)
> Does that mean I can send files to it, but there's no way to get files from it?

Yes.

> Should Fedora support receiving files from the phone? PalmOS has a "send via
> bluetooth" feature, but that doesn't seem to work either.  

That works if you enable it (see the "Personal File Sharing" preferences).
Comment 8 Bastien Nocera 2009-09-16 09:46:46 EDT
Fixed in gnome-bluetooth 2.27.8, see upstream bug:
https://bugzilla.gnome.org/show_bug.cgi?id=585691

Update available at:
http://admin.fedoraproject.org/updates/gnome-bluetooth-2.27.8-2.fc11

Note You need to log in before you can comment on or make changes to this bug.